NAME
OpenAPI::Client::OpenAI::Path::organization-projects-project_id-archive - Documentation for the /organization/projects/{project_id}/archive path.
OPERATIONS
POST /organization/projects/{project_id}/archive
archive-project
$client->archive_project({
body => { ... },
});
Archives a project in the organization. Archived projects cannot be used or updated.
Path/query parameters
project_id(in path, required, string) - The ID of the project.
Responses
200 - Project archived successfully.
Content-Type: application/json
Example:
{
"archived_at" : null,
"created_at" : 1711471533,
"external_key_id" : null,
"id" : "proj_abc",
"name" : "Project example",
"object" : "organization.project",
"status" : "active"
}
SCHEMAS
Project
Properties:
archived_at(anyOf)created_at(integer, required) - The Unix timestamp (in seconds) of when the project was created.external_key_id(anyOf) - The external key associated with the project.id(string, required) - The identifier, which can be referenced in API endpointsname(anyOf) - The name of the project. This appears in reporting.object(string, required) - The object type, which is alwaysorganization.projectAllowed values: organization.project
status(anyOf) -activeorarchived
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.